
QGIS Application - Bug report #11006

wrong size of item in print composer legend when high values of map unit are used

2014-08-05 12:18 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19348

Description

The legend in the print composer is over-sized when high values (in map unit) are used in styling a layer.

In attach a project with a point layer, categorization style used with 200 as map unit value and the related print layout with the wrong

legend size.

Associated revisions

Revision d994e0a1 - 2014-09-01 05:10 AM - Martin Dobias

Fix #11006 (wrong size of symbols in print composer legend if map units are used)

History

#1 - 2014-08-05 04:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

likely a duplicate or another aspect of #10546

#2 - 2014-08-05 04:44 AM - matteo ghetta

IMHO another aspect more then a duplicate

#3 - 2014-08-06 07:40 AM - Gilles Turgeon

I have the same problem.  Here my project.

It's seem that the composer dont take map units or scale in consideration when drawing the legend.

#4 - 2014-08-06 07:46 AM - Gilles Turgeon

- File Couverture.zip added

Sorry, forget to include project in the last message.

#5 - 2014-08-25 07:30 AM - Martin Dobias
- Status changed from Feedback to Open

The fix for the problem is in legend-refactoring-part2 branch:

https://github.com/wonder-sk/QGIS/commit/8bc2f8a96b4a36d26a3c75b53246d267ca64bd3c

#6 - 2014-08-27 06:07 AM - aperi2007 -

I test the patch, retrieving the qgis from wonder repo and compiling it on a debian machine.

It seem dont resolve it.

The composer still show the legend too huge, due to the mapunit setting.

It is showed from the "prova" compose available in the project available in the ticket.

Opening it is , I see still a too huge symbols.

A.

#7 - 2014-08-27 08:00 PM - Martin Dobias

Symbols in the "prova" project are huge if the legend is not connected to any composer map (because then it is assumed that 1 map unit = 1 mm). Create a

map item and associate legend item with it - the legend will show the symbols with the same size as in the map.

#8 - 2014-08-31 08:30 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"d994e0a1b31a38ed1a82628ac913d74624ceba79".

Files

project.zip 48 KB 2014-08-04 matteo ghetta

Couverture.zip 911 KB 2014-08-06 Gilles Turgeon
